"Narrative Lines" by Gideon Castro

Book - Miscellaneous

Prologue is a scene. Prologue begins when play begins. Prologue ends when the player is in Bedroom.

When Prologue begins: now corrections enabled is false; now novice mode enabled is false.

When Prologue ends: now corrections enabled is true.

Include Basic Screen Effects by Emily Short.
Include Extended Grammar by Aaron Reed.
Include Glulx Text Effects by Emily Short.
Include Locksmith by Emily Short.
Include Limited Implicit Actions by Eric Eve.
Include Poor Man's Mistype by Aaron Reed.
Include Small Kindnesses by Aaron Reed.
Include Smarter Parser by Aaron Reed.

Use normal lonely noun behavior, American dialect, the serial comma, no deprecated features, and scoring.

A thing can be examined or unexamined. A thing is usually unexamined. After examining something: now the noun is examined; continue the action.

Rule for printing the banner text when the leaflet is unexamined: do nothing.

To say stuff in (O - a thing):
	carry out the listing contents zorkwise activity with O.
Listing contents zorkwise of something is an activity on things.
For listing contents zorkwise of a thing (called O):
	list the contents of O, with newlines, indented, giving inventory information, including contents, not listing concealed items, suppressing all articles, and with extra indentation.
Before printing the name of an improper-named thing while listing contents zorkwise: 
	say "[the expanded form of the indefinite article of the item described] " in sentence case.   
To say the expanded form of the indefinite article of (O - a thing):
	if the indefinite article of O is "":
		say "[if plural-named]some[else]a";
	otherwise:
		say the indefinite article of O.

The use initial appearance in room descriptions rule does nothing when Prologue is happening.
The new use initial appearance in room descriptions rule does nothing when Prologue is not happening.
For printing a locale paragraph about a thing (called the item)
	(this is the new use initial appearance in room descriptions rule):
	if the item is not mentioned:
		if the item provides the property initial appearance and the
			item is not handled and the initial appearance of the item is
			not "":
			increase the locale paragraph count by 1;
			say "[initial appearance of the item]";
			if a locale-supportable thing is on the item:
				repeat with possibility running through things on the item:
					now the possibility is marked for listing;
					if the possibility is mentioned:
						now the possibility is not marked for listing;
				say "On [the item] " (A);
				list the contents of the item, as a sentence, including contents,
					giving brief inventory information, tersely, not listing
					concealed items, prefacing with is/are, listing marked items only;
				say ".";
			now the item is mentioned;
	continue the activity.

The initial appearance on supporters rule does nothing when Prologue is happening.
The new initial appearance on supporters rule does nothing when Prologue is not happening.
For printing a locale paragraph about a supporter (called the tabletop) (this is the new initial appearance on supporters rule):
	repeat with item running through not handled things on the tabletop which provide the property initial appearance:
		if the item is not a person and the initial appearance of the item is not "" and the item is not undescribed:
			now the item is mentioned;
			say initial appearance of the item;
			say line break;
	continue the activity.

The room description body text rule does nothing when Prologue is happening.
The new room description body text rule does nothing when Prologue is not happening.
The new room description body text rule is listed before the room description body text rule in the carry out looking rules.
This is the new room description body text rule:
	if the visibility level count is 0:
		if set to abbreviated room descriptions, continue the action;
		if set to sometimes abbreviated room descriptions and abbreviated form allowed is true and darkness witnessed is true:
			continue the action;
		begin the printing the description of a dark room activity;
		if handling the printing the description of a dark room activity:
			now the prior named object is nothing;
			say "[It] [are] pitch dark, and [we] [can't see] a thing." (A);
		end the printing the description of a dark room activity;
	otherwise if the visibility ceiling is the location:
		if set to abbreviated room descriptions, continue the action;
		if set to sometimes abbreviated room descriptions and abbreviated form allowed is true and the location is visited: 
			continue the action;
		say "[the description of the location]".
		
The room description paragraphs about objects rule does nothing when Prologue is happening.
The new room description paragraphs about objects rule does nothing when Prologue is not happening.
Carry out looking (this is the new room description paragraphs about objects rule):
	if the visibility level count is greater than 0:
		let the intermediate position be the actor;
		let the IP count be the visibility level count;
		while the IP count is greater than 0:
			now the intermediate position is marked for listing;
			let the intermediate position be the visibility-holder of the
				intermediate position;
			decrease the IP count by 1;
		let the top-down IP count be the visibility level count;
		while the top-down IP count is greater than 0:
			let the intermediate position be the actor;
			let the IP count be 0;
			while the IP count is less than the top-down IP count:
				let the intermediate position be the visibility-holder of the
					intermediate position;
				increase the IP count by 1;
			describe locale for the intermediate position;
			decrease the top-down IP count by 1;
	say line break;
	continue the action.

		
The examine supporters rule does nothing when Prologue is happening.
The standard search supporters rule does nothing when Prologue is happening.

To say (j - a number) spaces:
   (- spaces({j}); -).

Book - Scenario

Part - Prologue

The white house is a backdrop.  The white house is in west-of-house and North of House and South of House and Behind House. The description of the white house is "The house is a beautiful colonial house which is painted white.  It is clear that the owners must have been extremely wealthy."

Chapter - West of House

west-of-house is a room. The printed name of west-of-house is "West of House". The description of west-of-house is "You are in an open field on the west side of a white house with a boarded front door.".

Section - Mailbox

The small mailbox is a container in west-of-house. The mailbox is fixed in place, closed, and openable. 
Understand "box" as the mailbox. The initial appearance of the mailbox is "There is a small mailbox here.".

A leaflet is in the mailbox. The description of the leaflet is "[leaflet text]".
To say leaflet text:
	center "Welcome to Zork!";
	say paragraph break;
	say "   'Zork is a game of adventure, danger, and low cunning.  In it you will explore some of the most amazing territory ever seen by mortal man.  Hardened adventurers have run screaming from the terrors contained within.[paragraph break]";
	say "   In Zork, the intrepid explorer delves into the forgotten secrets of a lost labyrinth deep in the bowels of the earth, searching for vast treasures long hidden from prying eyes, treasures guarded by fearsome monsters and diabolical traps![paragraph break]";
	say "   No PDP-10 should be without one![paragraph break]";
	say "   Zork was created at the MIT Laboratory for Computer Science by
	Tim Anderson, Marc Blank, Bruce Daniels, and Dave Lebling.  It was inspired by the Adventure game of Crowther and Woods, and the long tradition of fantasy and science fiction games.[paragraph break]";
	say "   On-line information may be obtained with the command HELP (synonyms are ABOUT, INFO, HINT, etc.).'".
Report examining the leaflet the first time:
	say "... And then, it occurs to you that you're not in the game that you're supposed to be in (probably because you don't know what a PDP-10 is).";
	say line break;
	say line break;
	say ">";
	wait for any key;
	say paragraph break;
	say line break;
	say "[italic type]WHAM![roman type] Something (or someone, possibly) hits you over the head, waking you up from your slumber.";
	wait for any key;
	clear the screen;
	say paragraph break;
	say "[banner text]";
	move the player to the bed.

Section - Front Door

The front door is scenery in west-of-house. Check entering the front door: say "The door is boarded and you can't remove the boards." instead. Check going east from west-of-house: say "The door is boarded and you can't remove the boards." instead. Check opening the front door: say "The door cannot be opened." instead. Check unlocking the front door with something: say "It doesn't seem to work." instead.

Part - Chapter One

Chapter - Bedroom (in the bed)

Bedroom is a room. The description of Bedroom is "[if the player is in the bed]Unfortunately, sleep paralysis currently grasps you in its clutches, rendering you with only the ability to look around[otherwise]You're glad that you're not in the bed anymore, but your back hurts[end if]. You don't recognize this room; the constantly flickering [light] fixture and the large wooden [desk] with absolutely nothing on it, for instance, wouldn't exactly be the furniture choices you would make. [if the player is in the bed]Alas, you still have to get out of your [bed] at some point; you might as well do that while you're still mentally alert[otherwise]Your [bed] stands in the far corner of the room[end if].".

Section - Bed

The bed is an enterable container in Bedroom. The description of the bed is "[if the player is in the bed]It feels quite comfy, if you overlook the fact that you don't have a headboard, cover, or pillow at the ready[otherwise]Now that you're up and you think about it, the bed was rock-hard and stone-cold, much like what you imagine prison beds would feel like. The frame is a dark, rusty metal while the mattress is pure white[end if].".
Instead of sleeping in the bed:
	if the player is in the bed:
		say "Your sleep is absolutely wonderful, for sure, but inconveniently to you, you pass peacefully during your slumber. I hope you like [']extended naps['].";
		end the story saying "You keep sleeping, and you don't go on to see what's out there.";
	otherwise:
		say "You don't want to go back to sleep on that bed.".
		
Instead of entering the bed:
	if the player is in the bed:
		say "You're already in the bed.";
	otherwise:
		say "You don't want to get back onto that bed.".

Instead of doing anything other than looking or exiting while the player is in the bed:
	say "You would do that, but you also want to get up.".
	
Report exiting when the player is not in the bed:
	say "You get out of the bed, stretching out of habit." instead.
	
Report pushing the bed:
	say "The bed is too heavy for you to push." instead.
	
Section - Light

A light is fixed in place in Bedroom. Understand "bulb" and "fixture" as the light. The description of the light is "The fixture itself isn't all that exciting to you. The bulb flickers randomly, and despite your gut telling you to investigate it, there's nothing as far as you can tell that you could touch it with.". Instead of doing anything other than examining with the light: say "You would rather not do that, unless you wanted to injure yourself.".

Section - Desk

The desk is fixed in place in Bedroom. The description of the desk is "The desk is large, tall, ugly, and barren of anything on the top of it. Even though your specialty is in the field of exploration, you still come to the fairly reasonable conclusion that the desk just doesn't fit within the space. There is a [drawer] installed into the underside of it[if the drawer is open], and its contents are just a [blue key][end if].".

A closed openable container called the drawer is part of the desk. The description of the drawer is "A drawer, firmly bolted into the desk.".

The blue key is in the drawer. The description of the key is "This royal blue key would have glimmered in the right light, but it seems worn down and its reflective properties are long gone.".